Asset Tracker for Debian
------------------------

Database modifications on install
=================================
AT needs a few schema and ACL modifications to the RT database. The
package installation scripts now automatically apply these modifications
when needed, unless otherwise instructed by a debconf question (or
/etc/rt4-extension-assettracker/debian.conf, which is where the answer
is stored.) Of course, this requires a working RT installation.

The output of any database modification commands run by the maintainer
scripts should be found in the RT log, logged via syslog by default.

If you want to setup the database manually, answer the debconf question
accordingly and run the following commands (as root, or anybody else
that can read /etc/request-tracker4/RT_SiteConfig.pm):

# for action in schema acl; do \
  rt-setup-database-4 \
  --action $action \
  --datadir /usr/share/request-tracker4/plugins/RTx-AssetTracker/etc \
  --dba rtuser --prompt-for-dba-password ; \
  done

# PERLLIB=/usr/share/request-tracker4/plugins/RTx-AssetTracker/lib \
  rt-setup-database-4 \
  --action insert \
  --datadir /usr/share/request-tracker4/plugins/RTx-AssetTracker/etc \
  --datafile /usr/share/request-tracker4/plugins/RTx-AssetTracker/etc/initialdata \
  --dba rtuser --prompt-for-dba-password ; \

where "rtuser" is your $RT::DatabaseUser, as defined in RT_SiteConfig.pm.
(The database administrator will also do, but that's a bit overkill.)

Database modifications on upgrade from 1.2.x
============================================

The upstream version, 2.0.0, is a major new release with a few database
schema modifications from the 1.2 series. The package installation
scripts can detect if the database needs to be updated and do the update
automatically if you let them. (If you want to use the automatic upgrade
later, just run 'dpkg-reconfigure rt4-extension-assettracker').

If you want to run the upgrade commands manually, answer the debconf
question accordingly and run the following commands (as root, or anybody
else that can read /etc/request-tracker4/RT_SiteConfig.pm):

# for dir in /usr/share/request-tracker4/plugins/RTx-AssetTracker/etc/upgrade/*; do \
  for action in schema acl; do \
  rt-setup-database-4 \
  --action $action \
  --datadir $dir \
  --dba rtuser --prompt-for-dba-password ; \
  done

Enabling Asset Tracker
======================

AT needs to be enabled as a plugin in RT before it will work. This must
be done manually by the system administrator, for example by adding
    Set(@Plugins, (qw(RTx::AssetTracker)));
to your RT_SiteConfig.pm, or a file in RT_SiteConfig.d
Note that there should only be a single Set(@Plugins, qw(...)) command
containing all the plugins you wish to enable (separated by whitespace).

Web server
==========

You may also need to restart your web server on install/upgrade. Apache
users can use '/etc/init.d/apache2 force-reload' for this.

  -- Bradley Bell <btb@debian.org>  Thu, 21 Apr 2011 14:53:13 -0700
 